`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2025/03/19 10:26:57
// Design Name: 
// Module Name: fifo_axi_ctrl
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module fifo_axi_ctrl(

    );



    fifo2axi_convert fifo2axi_convert_inst(

    );

    axi2fifo_convert axi2fifo_convert_inst(

    );



    fifo_ddr_addr fifo_ddr_raddr_inst(

    );

    fifo_ddr_data fifo_ddr_rdata_inst(

    );

    fifo_ddr_addr fifo_ddr_waddr_inst(

    );

    fifo_ddr_data fifo_ddr_wdata_inst(

    );

    fifo_ddr_info fifo_ddr_info_inst(

    );
endmodule
